{% load insult %}
{% load misc %}
<section>
<header>{% section h2 %}About{% endsection %}</header>
<p>LibInsult is a framework to generate insults programmatically.</p>
<p>If you ever feel annoyed by someone or something, this is the perfect
solution to express your emotions in our current technological society.</p>
<h3>Example insult:</h3>
<blockquote>{% insult %}</blockquote>
</section>

<section>
<header>{% section h2 %}Insulting pages{% endsection %}</header>
<p>A s part of the <a href="#web-api">Web API</a> described below, there is
<a href="{% url 'insult:api' format='html'%}">this HTML page</a>, which
displays an insult and nothing else.</p>
<p>You can find more information on how to customize it on the
<a href="{% url 'insult:help'%}#insultformat">API help page</a></p>
</section>

<section>
<header>{% section h2 %}Web API{% endsection %}</header>
<p>A RESTful API is provided at <a href="{% url 'insult:help' %}">this endpoint</a>.</p>
<p>It can generate responses in HTML, JSON, and plain text.</p>
</section>

<section>
<header>{% section h2 %}Language Bindings{% endsection %}</header>
<p>If you want to use the LibInsult framework directly in your application,
without using the <a href="#web-api">Web-based API</a>,
you can use the bindings listed here.</p>
<p>They all can use of the LibInsult Data repository to generate insults.
Or you can also populate the framework with your own data.</p>
<aside class="note">
    <p>While it's strongly recommended you use insulting words for your LibInsult
    data, you can use the framework to generate less offensive messages.</p>
    <p>In this case, LibInsult shall not be held accountable for a lack of an
    angered response from the reader of the generate message.</p>
</aside>

<h3>List of available bindings:</h3>
<table class="dtable">
<tr><th>Python</th>
    <td>A Python framework to generate insults.</td></tr>
<tr><th>Django</th>
    <td>A Django app using the Python bindings to provide template tags
        and views to serve the  <a href="#web-api">API</a>.</td></tr>
</table>
</section>


<section>
<header>{% section h2 %}Contributing{% endsection %}</header>
{% section h3 %}Source Code{% endsection %}
<ul>
    <li><a href="https://gitlab.com/mattia.basaglia/LibInsult-Data">Data</a></li>
    <li><a href="https://gitlab.com/mattia.basaglia/LibInsult-Python">Python Bindings</a></li>
    <li><a href="https://gitlab.com/mattia.basaglia/LibInsult-Django">Django App</a></li>
</ul>
{% section h3 %}Issue Tracker{% endsection %}
<p>Issues can be added at the
<a href="https://gitlab.com/mattia.basaglia/LibInsult/issues">issue tracker on GitLab</a>.
</p>
</section>
